#################################################
#
#  (C) 2017 Slávek Banko
#  slavek (DOT) banko (AT) axis.cz
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( mcopclass )

include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}/arts/runtime
  ${CMAKE_BINARY_DIR}/arts/gui/common
  ${CMAKE_BINARY_DIR}
  ${ARTS_INCLUDE_DIRS}
  ${TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${ARTS_LIBRARY_DIRS}
)


##### artsgui_kde (library) #####################

tde_add_library( artsgui_kde SHARED AUTOMOC
  SOURCES
    kwidget_impl.cpp kbutton_impl.cpp
    kpoti_impl.cpp kpoti.cpp kwidgetrepo.cpp kartswidget.cpp
    klineedit_impl.cpp khbox_impl.cpp kvbox_impl.cpp kspinbox_impl.cpp
    kcombobox_impl.cpp kfader.cpp kfader_impl.cpp kgraph_impl.cpp kgraph.cpp
    kgraphline_impl.cpp kframe_impl.cpp klayoutbox_impl.cpp tdepopupbox_impl.cpp
    klevelmeter_impl.cpp klevelmeter_small.cpp klevelmeter_linebars.cpp
    klevelmeter_normalbars.cpp klevelmeter_firebars.cpp
    ktickmarks_impl.cpp kvolumefader_impl.cpp klabel_impl.cpp
  VERSION 0.0.0
  LINK
    tdecore-shared tdeio-shared tdeui-shared tdefx-shared artsgui_idl-shared
  DESTINATION ${LIB_INSTALL_DIR}
)


##### artsgui (check program) ###################

tde_add_check_executable( artstestgui
  SOURCES
    artstestgui.cpp
  LINK
    tdecore-shared tdeio-shared tdeui-shared tdefx-shared
    qtmcop artsflow artsgui_idl-shared
)

tde_add_check_executable( dbtest AUTOMOC
  SOURCES
    dbtest.cpp
  LINK
    tdecore-shared tdeio-shared tdeui-shared artsgui_kde-shared
)


##### other data ################################

install(
  FILES
    kartswidget.h kframe_impl.h kwidget_impl.h kwidgetrepo.h klayoutbox_impl.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/arts
)
